Skip to main content
`Ctrl`+`K`

# PetscProcessPlacementView

display the MPI rank placement by core

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscProcessPlacementView(PetscViewer viewer)

## Input Parameter

- viewer - `PETSCVIEWERASCII` to display the results on

## Note

Requires that PETSc be installed with hwloc, for example using `--download-hwloc`

## See Also

`PetscInitialize()`

## Level

intermediate

## Location

src/sys/utils/memc.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages